Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.Before<Next>

Type Parameters:
  `Next` - The interface that is to be returned when this request is completed

All Known Subinterfaces:
  Graph.Move<Next>

All Known Implementing Classes:
  Graph.MoveAction

Enclosing class:
  Graph

    public static interface Graph.Before<Next>

A component that defines the location before which a node should be copied or moved. This is similar to an `Graph.Into`, but it allows for placing a node at a particular location within the new destination, rather than always placing the moved or copied node as the last child of the new parent.

Method Summary
`Next` | `before(Location parentLocation)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`Next` | `before(Path parentPath)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`Next` | `before(Property parentIdProperty)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`Next` | `before(Property firstParentIdProperty, Property... additionalParentIdProperties)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`Next` | `before(String parentPath)` Finish the request by specifying the location of the node before which the node should be copied/moved.
`Next` | `before(UUID parentUuid)` Finish the request by specifying the location of the node before which the node should be copied/moved.

Method Detail

### before

    Next before(Location parentLocation)

  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Location)` instead.

  Parameters:
    `parentLocation` - the location of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Location)`

### before

    Next before(String parentPath)

  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(String)` instead.

  Parameters:
    `parentPath` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(String)`

### before

    Next before(Path parentPath)

  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index). If you want to control the name of the node for the newly copied/moved node, use `Graph.To.to(Path)` instead.

  Parameters:
    `parentPath` - the path of the new parent
  Returns:
    the interface for additional requests or actions
  See Also:
    `Graph.To.to(Path)`

### before

    Next before(UUID parentUuid)

  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Parameters:
    `parentUuid` - the UUID of the new parent
  Returns:
    the interface for additional requests or actions

### before

    Next before(Property parentIdProperty)

  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Parameters:
    `parentIdProperty` - the property that uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

### before

    Next before(Property firstParentIdProperty,
                Property... additionalParentIdProperties)

  Finish the request by specifying the location of the node before which the node should be copied/moved. This operation will result in the copied/moved node having the same name as the original (but with the appropriately-determined same-name-sibling index).

  Parameters:
    `firstParentIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the new parent
    `additionalParentIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the new parent
  Returns:
    the interface for additional requests or actions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.